LINUX.ORG.RU

Arch gnome3


0

1

вот хочу попробовать, репы тестинг, сделал всё по вики, оказалось 100500 библиотек для гнома поставились не из тестинга, в результате ничего не запускалось, разгрёб вроде видимую часть, но всё время вылезают разного рода ошибки, вот последнее, на чём остановился:

gnome-shell --replace
    JS ERROR: !!!   Exception was: Error: Requiring NetworkManager, version none: Typelib file for namespace 'NetworkManager' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring NetworkManager, version none: Typelib file for namespace 'NetworkManager' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/status/network.js:8
'
    JS ERROR: !!!     message = 'Requiring NetworkManager, version none: Typelib file for namespace 'NetworkManager' (any version) not found'
      JS LOG: NMApplet is not supported. It is possible that your NetworkManager version is too old
/usr/lib/gnome-shell/gnome-shell-calendar-server: error while loading shared libraries: libedataserverui-3.0.so.0: cannot open shared object file: No such file or directory
Предупреждение менеджера окон: Log level 16: Unable to register authentication agent: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: An authentication agent already exists for the given subject
Предупреждение менеджера окон: Log level 16: Error registering polkit authentication agent: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: An authentication agent already exists for the given subject (polkit-error-quark 0)
      JS LOG: GNOME Shell started at Mon Apr 18 2011 16:44:42 GMT+0400 (SAMST)
Ошибка сегментирования

Сессия gnome3 либо совсем зависает с курсором занятости, либо выдаёт неизвестную ему ошибку с единственной кнопкой - выйти. Уже порядком надоело, неужели так всё плохо?

★★★★★

Сырой гном 3, очень сырой. Лучше откатиться до второго или поставить кеды.

mopsene ★★★ ()

Тестинг должен быть выше всех в конфиге пакмана, потом pacman -Syu

lu4 ()
Ответ на: комментарий от mopsene

нет, просто yaourt -Rc *заблаговременно сохранённый список предлагаемых к установке пакетов*

alltiptop ★★★★★ ()

Я бы сделал так:
pacman -Rsc gnome
Это удалит весь гном с зависимостями. После этого нужно сделать
pacman -Suy
(убедитесь, что у Вас testing в pacman.conf в самом верху). Потом
pacman -S gnome-shell

З.Ы. Кстати, с какого зеркала обновляетесь?

З.З.Ы. Надеюсь, список установленных пакетов у Вас под рукой. Просто так, на всякий случай

dumal ★★ ()
Ответ на: комментарий от dumal

Снёс гном нафиг, пока кеды тогда устраивают. Как будет в основных репах - проверю.

alltiptop ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.